<bugID>1133604<Summary>about:preferences GUI no longer respond after click [Settings...] in the "Privacy" tab</Summary><Description>[Tracking Requested - why for this release]:

1. Open about:preferences 
2. Click "Privacy" tab
3. Select [Use custom settings for history] of Nightly will dropdown
4. Turn on [Clear history when Nightly closes] checkbox
5. Click [Settings...]
    --- no longer respond
6. Click any other about:preferences element
    --- no longer respond


Actual Results:
about:preferences GUI no longer respond</Description></bugID>